/*	sciadvancedefs.h : include file for mockingjay definitions
 *	
 * Author: SignalCore Inc
 * copyright 2018 SignalCore Inc
 * rev 1.0.1
 * last revision 03/15/2018
*/

#pragma once

#ifndef SCIADVANCEREGS_H_
#define SCIADVANCEREGS_H_

#ifdef __cplusplus
extern "C"
{
#endif

/*
 *	Advance Registers
*/

// Advance Registers
#  define DDS_WORD_32H						0x40	// DDS data
#  define DDS_WORD_32L						0x41	// DDS data
#  define DDS_INSTRUCT_REG					0x42	// instruct for DDS data
#  define LO_CRS_PLL_REG					0x43    // transfers data directly to the PLL
#  define LO_FINE_PLL_REG					0x44    // transfers data directly to the PLL
#  define LO_SUM_PLL_REG					0x45    // transfers data directly to the PLL
#  define LO_PWR_REG						0x49	// control supply power to LOs
#  define SET_LO_DAC_REG					0x4A    // read the value of the coarse
#  define REF_100M_PLL_REG					0x4B	// direct programming of PLL
#  define REF_10M_PLL_REG					0x4C	// direct programming 10 MHz PLL
#  define CAL_EEPROM_WRITE_REG				0x4D	// writes a byte to the CAL EEPROM
#  define EEPROMWP_REG						0x4E	// Write protect of calibration EEPROM (key needed)
#  define ATTEN_REG							0x4F	// Direct write to the attenuators

#  define SUM_CAL_FREQ						0x51	// to set the SUM frequency for calibration
#  define GET_SUM_ADC_REG					0X58	// Read the value of the sum ADC
#  define CAL_EEPROM_READ_REG				0x59	// reads a byte from the user EEPROM
#  define CAL_EEPROM_READ_BULK_REG			0x5A	// reads 64 bytes from the user EEPROM

#  define GET_SN_REG						0xFE	// Get the serial number

#ifdef __cplusplus
}
#endif

#	endif  /* ___H__ */	

