#pragma once

#ifndef _MJ2DEVICE_H_
#define _MJ2DEVICE_H_

#ifdef __cplusplus
extern "C"
{
#endif

	typedef struct
	{
		uint8_t cal_data_read;		//checks is cal data is read
		uint8_t rf_params_read;		//is rf_params read
		uint8_t info_read;			//is info read
		uint8_t gain_params_set;	//is gain param set
		uint8_t last_amp_state;		//
		uint8_t auto_conv_enable;	//Enables the use and setting of the auto conversion algorithm 
		float temperature;			//temperature of the device
		double last_rf;
		double last_if;	//for API conversion gain computation
		rf_params_t rf_params;	//RF parameters
		gain_params_t gain_params; // the Auto gain params
		device_info_t info;		// hold the device info	
		cal_data_t* cal_data;	//calibration data to determine the gain of the device.
	} device_data_t;


#ifdef __cplusplus
}
#endif

#endif 