/*	sciulpdefs.h : include file for mockingjay definitions
 *	
 * Author: SignalCore Inc
 * copyright 2020 SignalCore Inc
 * rev 1.0.0
 * 
*/

#pragma once

#ifndef MOCKINGJAY2_REGS_H_
#define MOCKINGJAY2_REGS_H_

#ifdef __cplusplus
extern "C"
{
#endif

/*
 *	Registers
*/
#  define INITIALIZE						0x01    // Initialize the devices
#  define SYSTEM_ACTIVE						0x02    // Set the System Active light
#  define SYNTH_MODE						0x03	// Set the Synthesizer mode

//
#  define RF_FREQUENCY						0x10	// set the frequency
#  define IF_FREQUENCY						0x11	// set the IF frequency
#  define LO_FREQUENCY						0x12	// Enable RF output
#  define LO_SOURCE							0x13    // configure LO source behavior
#  define RF_AMP							0x14	// Turn on the RF Amp (down converters only)
#  define ATTENUATOR						0x15	// Sets the attenuators 
#  define SIGNAL_PATH						0x16	// Sets the path route, and spectral inversion
#  define RESERVED1							0x17    // 
#  define STORE_DEFAULT_STATE				0x18    // Save current settings as default
#  define DEVICE_STANDBY					0x19	// Set the device into power standby
#  define REFERENCE_CLOCK					0x1A    // Reference Settings
#  define REFERENCE_DAC_WORD				0x1B	// Sets the reference DAC for freq adjustment
#  define USER_EEPROM_WRITE					0x1C	// Route LO source from internal or external LO input
#  define AUTO_CALC_GAIN					0x1D    // store parameters to auto set attenuators to achieve gain
#  define SYNTH_SELF_CAL					0x1F    // Set up the frequency plan frequencies such as IF, RF

#  define GET_DEVICE_PARAM					0x30	// Get the current Frequency
#  define GET_TEMPERATURE					0x31    // load sensor temperature into the SPI output buffer
#  define GET_DEVICE_STATUS					0x32    // load the board status into the SPI output buffer
#  define GET_DEVICE_INFO					0x33	// load the device info
#  define CAL_EEPROM_READ					0x34    // read eeprom 8 bytes (U64 read)
#  define USER_EEPROM_READ					0x35	// SPI out buffer into the USART transmit register
#  define SERIAL_OUT_BUFFER					0x36    // transfer user EEPROM data to SPI output buffer



#ifdef __cplusplus
}
#endif

#	endif  /* ___H__ */	

