#pragma once

#ifndef __SCI_PCIDEVICE_H__
#define	__SCI_PCIDEVICE_H__

#ifdef __cplusplus
extern "C"
{
#endif
//
// Device PCI info
//
typedef struct _SCI_PCI_CARD_INFO
{
	uint16_t			vendorId; // vendor ID number
	uint16_t			deviceId; // device ID number
}SCI_PCI_CARD_INFO, *PSCI_PCI_CARD_INFO;
//
// Read a byte from the device register
//
SCISTATUS PciRead(HANDLE deviceHandle, uint8_t *dataIn, uint32_t size);

//
// Write a byte to the device register
//
SCISTATUS PciWrite(HANDLE deviceHandle, uint8_t *dataOut, uint32_t size);

//
// Get the device serial number
//
SCISTATUS PciGetDeviceSn(HANDLE deviceHandle, uint32_t *serialNumber);

//
// Search for devices based on PID and return serial numbers
//
SCISTATUS PciSearchDevices(char **serialNumberList, uint32_t *numberDevices);

SCISTATUS PciSearchDevicesLV(char *serialNumberList, uint32_t *numberDevices);
//
// Open device based on deviceId and serial number
//
SCISTATUS PciOpenDevice(char *serialNumber, uint8_t baudrate, PHANDLE deviceHandle);

//
// Close device based on deviceId and serial number
//
SCISTATUS PciCloseDevice(HANDLE deviceHandle);

# 	ifdef __cplusplus
}
#	endif

#endif // __SCI_PCIDEVICE_H__

