#pragma once

#ifndef _SCI_USB_DEVICE_H__
#define _SCI_USB_DEVICE_H__

#ifdef __cplusplus
extern "C"
{
#endif

//  Define SignalCore SC5318A USB endpoints
#define	SCI_ENDPOINT_IN_BULK		0x81
#define	SCI_ENDPOINT_OUT_BULK		0x02

// 	Define for control endpoints
#define USB_ENDPOINT_IN				0x80
#define USB_ENDPOINT_OUT			0x00
#define USB_TYPE_VENDOR				(0x02 << 5)
#define USB_RECIP_INTERFACE			0x01

/* Local constants */
#define USB_TIMEOUT					5000  // Define the time out for USB transfers ms
#define TRANSFER_BYTES				8	
	
/*
typedef	struct
{
	uint8_t device_type;
	libusb_device_handle *handle;
	libusb_context *ctx;  //need to carry the session context for libusb_exit
} USBDEVICE, *PUSBDEVICE;  //
*/

//
//  write data to the device
//
SCISTATUS UsbWrite(HANDLE deviceHandle, uint8_t *data, uint32_t len);

SCISTATUS UsbRead(HANDLE deviceHandle, uint8_t *data, uint32_t len);

SCISTATUS UsbSearchDevices(char **serialNumberList, uint32_t *numberDevices);

SCISTATUS UsbSearchDevicesLV(char *serialNumberList, uint32_t *numberDevices);

SCISTATUS UsbOpenDevice(char *devSerialNum, uint8_t baudrate, PHANDLE deviceHandle);

SCISTATUS UsbOpenDeviceLV(char *devSerialNum, PHANDLE deviceHandle);

SCISTATUS UsbCloseDevice(HANDLE deviceHandle);

#ifdef __cplusplus
}
#endif

#endif //_SCI_USB_DEVICE_H__